Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83793 - In gEdit I can't write the numbers from keypad
Summary: In gEdit I can't write the numbers from keypad
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gedit
Version: 9
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-08 20:45 UTC by Antonio Sanna
Modified: 2007-04-18 16:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-10-06 21:42:47 UTC


Attachments (Terms of Use)

Description Antonio Sanna 2003-02-08 20:45:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030203

Description of problem:
I have an italian keyboard and I can't write the numbers (except 5) from keypad
in gEdit (with blocknum activated, naturally): the cursor moves like if the
blocknum is off. With Mozilla and OpenOffice all is ok.
The keyboard is PS/2.

Comment 1 Havoc Pennington 2003-02-12 21:57:51 UTC
Do you get the same problem in other gtk 2 applications, for example 
in "gtk-demo" double click "text widget" on the left side and 
try typing into the text area that pops up?

Comment 2 Antonio Sanna 2003-02-13 16:21:54 UTC
No, in gtk-demo all is ok.
N.B.: the system language is english, only the keyboard is italian: I don't know
if this can help you.

Comment 3 Antonio Sanna 2003-02-21 15:10:05 UTC
In beta3 all is ok! Thank you: you can to close the bug.

Comment 4 Owen Taylor 2003-10-06 21:42:47 UTC
There were some fixes in GTK+ related to numeric keypad handling if
you disabled the XKB extension. This might be related to that.

In any case, if it works now, there's not much more we can to debug
what was going on :-)



Note You need to log in before you can comment on or make changes to this bug.